summaryrefslogtreecommitdiff
path: root/gsl-1.9/test_gsl_histogram.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gsl-1.9/test_gsl_histogram.sh')
-rwxr-xr-xgsl-1.9/test_gsl_histogram.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/gsl-1.9/test_gsl_histogram.sh b/gsl-1.9/test_gsl_histogram.sh
new file mode 100755
index 0000000..7411660
--- /dev/null
+++ b/gsl-1.9/test_gsl_histogram.sh
@@ -0,0 +1,16 @@
+#! /bin/sh
+
+cat > test.exp.1.tmp <<EOF
+1 2 1
+2 3 2
+3 4 0
+4 5 1
+EOF
+
+echo 1 2 2.5 4 | ./gsl-histogram 1 5 4 | tr -d '\r' > test.obs.1.tmp
+
+cmp test.exp.1.tmp test.obs.1.tmp
+STATUS=$?
+rm test.exp.1.tmp test.obs.1.tmp
+
+exit $STATUS